yangcli-gw(1)

NAME
yangcli-gw - YANG-based NETCONF-over-SSH client application API gateway

SYNOPSIS

   yangcli-gw [parameter=value...]

   yangcli-gw --help [brief | normal | full]

   yangcli-gw --version

DESCRIPTION
yangcli-gw is a Command Line API Gateway for the NETCONF protocol. It uses the YANG data modeling language to manage the NETCONF content layer. This version of yangcli-gw supports the YANG data modeling language defined in RFC 7950.

The yangcli-gw program uses the same set of CLI parameters as yangcli-pro.

Refer to the online user manual for full details on using the yangcli-gw application:

   https://docs.yumaworks.com/en/latest/yangcli-gw/index.html

USAGE
Parameters can be entered in any order, and have the form:

   [start] name [separator [value]]

where:

    start == 0, 1, or 2 dashes (foo, -foo, --foo)

    name == parameter name

         Parameter name completion will be attempted
         if a partial name is entered.

    separator == whitespace or equals sign (foo=bar, foo bar)

    value == string value for the parameter.

         Strings with whitespace need to be double quoted
         (--foo="some string")

Some examples of valid command line parameters:

   foo=3
   -foo=3
   --foo=3
   foo 3
   foo=fred
   --foo "fred flintstone"

Partial parameter names can be entered if they are unique.

REFER TO THE yangcli-pro MAN PAGE FOR A DETAILED LIST OF PARAMETERS.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
yangcli-pro(1)